| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseChannelRoomConfigInterface Class Reference
Service-side implementation » Channel service implementation

Base class for implementations of Channel.Interface.RoomConfig1. More...

`#include <TelepathyQt/BaseChannel>`

Inheritance diagram for Tp::BaseChannelRoomConfigInterface:
[legend]

## Public Types

typedef Callback2< void, const QVariantMap &, DBusError * > | UpdateConfigurationCallback

## Public Member Functions

virtual | ~BaseChannelRoomConfigInterface ()
QVariantMap | immutableProperties () const
bool | anonymous () const
void | setAnonymous (bool anonymous)
bool | inviteOnly () const
void | setInviteOnly (bool inviteOnly)
uint | limit () const
void | setLimit (uint limit)
bool | moderated () const
void | setModerated (bool moderated)
QString | title () const
void | setTitle (const QString &title)
QString | description () const
void | setDescription (const QString &description)
bool | persistent () const
void | setPersistent (bool persistent)
bool | isPrivate () const
void | setPrivate (bool newPrivate)
bool | passwordProtected () const
void | setPasswordProtected (bool passwordProtected)
QString | password () const
void | setPassword (const QString &password)
QString | passwordHint () const
void | setPasswordHint (const QString &passwordHint)
bool | canUpdateConfiguration () const
void | setCanUpdateConfiguration (bool canUpdateConfiguration)
QStringList | mutableProperties () const
void | setMutableProperties (const QStringList &mutableProperties)
bool | configurationRetrieved () const
void | setConfigurationRetrieved (bool configurationRetrieved)
void | setUpdateConfigurationCallback (const UpdateConfigurationCallback &cb)
void | updateConfiguration (const QVariantMap &properties, DBusError *error)
Public Member Functions inherited from Tp::AbstractChannelInterface
| AbstractChannelInterface (const QString &interfaceName)
virtual | ~AbstractChannelInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions

static BaseChannelRoomConfigInterfacePtr | create ()
template<typename BaseChannelRoomConfigInterfaceSubclass >
static SharedPtr< BaseChannelRoomConfigInterfaceSubclass > | create ()
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Protected Member Functions

| BaseChannelRoomConfigInterface ()
Protected Member Functions inherited from Tp::AbstractChannelInterface
virtual void | close ()
virtual void | setBaseChannel (BaseChannel *channel)
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Base class for implementations of Channel.Interface.RoomConfig1.

## Member Typedef Documentation

## § UpdateConfigurationCallback

typedef Callback2<void, const QVariantMap &, DBusError*> Tp::BaseChannelRoomConfigInterface::UpdateConfigurationCallback

## Constructor & Destructor Documentation

## § ~BaseChannelRoomConfigInterface()

Tp::BaseChannelRoomConfigInterface::~BaseChannelRoomConfigInterface | ( |  | ) |

virtual

Class destructor.

## § BaseChannelRoomConfigInterface()

Tp::BaseChannelRoomConfigInterface::BaseChannelRoomConfigInterface | ( |  | ) |

protected

Class constructor.

## Member Function Documentation

## § create() [1/2]

static BaseChannelRoomConfigInterfacePtr Tp::BaseChannelRoomConfigInterface::create | ( |  | ) |

inline static

## § create() [2/2]

template<typename BaseChannelRoomConfigInterfaceSubclass >

static SharedPtr<BaseChannelRoomConfigInterfaceSubclass> Tp::BaseChannelRoomConfigInterface::create | ( |  | ) |

inline static

## § immutableProperties()

QVariantMap Tp::BaseChannelRoomConfigInterface::immutableProperties | ( |  | ) | const

virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

## § anonymous()

bool Tp::BaseChannelRoomConfigInterface::anonymous | ( |  | ) | const

## § setAnonymous()

void Tp::BaseChannelRoomConfigInterface::setAnonymous | ( | bool | anonymous | ) |

## § inviteOnly()

bool Tp::BaseChannelRoomConfigInterface::inviteOnly | ( |  | ) | const

## § setInviteOnly()

void Tp::BaseChannelRoomConfigInterface::setInviteOnly | ( | bool | inviteOnly | ) |

## § limit()

uint Tp::BaseChannelRoomConfigInterface::limit | ( |  | ) | const

## § setLimit()

void Tp::BaseChannelRoomConfigInterface::setLimit | ( | uint | limit | ) |

## § moderated()

bool Tp::BaseChannelRoomConfigInterface::moderated | ( |  | ) | const

## § setModerated()

void Tp::BaseChannelRoomConfigInterface::setModerated | ( | bool | moderated | ) |

## § title()

QString Tp::BaseChannelRoomConfigInterface::title | ( |  | ) | const

## § setTitle()

void Tp::BaseChannelRoomConfigInterface::setTitle | ( | const QString & | title | ) |

## § description()

QString Tp::BaseChannelRoomConfigInterface::description | ( |  | ) | const

## § setDescription()

void Tp::BaseChannelRoomConfigInterface::setDescription | ( | const QString & | description | ) |

## § persistent()

bool Tp::BaseChannelRoomConfigInterface::persistent | ( |  | ) | const

## § setPersistent()

void Tp::BaseChannelRoomConfigInterface::setPersistent | ( | bool | persistent | ) |

## § isPrivate()

bool Tp::BaseChannelRoomConfigInterface::isPrivate | ( |  | ) | const

## § setPrivate()

void Tp::BaseChannelRoomConfigInterface::setPrivate | ( | bool | newPrivate | ) |

## § passwordProtected()

bool Tp::BaseChannelRoomConfigInterface::passwordProtected | ( |  | ) | const

## § setPasswordProtected()

void Tp::BaseChannelRoomConfigInterface::setPasswordProtected | ( | bool | passwordProtected | ) |

## § password()

QString Tp::BaseChannelRoomConfigInterface::password | ( |  | ) | const

## § setPassword()

void Tp::BaseChannelRoomConfigInterface::setPassword | ( | const QString & | password | ) |

## § passwordHint()

QString Tp::BaseChannelRoomConfigInterface::passwordHint | ( |  | ) | const

## § setPasswordHint()

void Tp::BaseChannelRoomConfigInterface::setPasswordHint | ( | const QString & | passwordHint | ) |

## § canUpdateConfiguration()

bool Tp::BaseChannelRoomConfigInterface::canUpdateConfiguration | ( |  | ) | const

## § setCanUpdateConfiguration()

void Tp::BaseChannelRoomConfigInterface::setCanUpdateConfiguration | ( | bool | canUpdateConfiguration | ) |

## § mutableProperties()

QStringList Tp::BaseChannelRoomConfigInterface::mutableProperties | ( |  | ) | const

## § setMutableProperties()

void Tp::BaseChannelRoomConfigInterface::setMutableProperties | ( | const QStringList & | mutableProperties | ) |

## § configurationRetrieved()

bool Tp::BaseChannelRoomConfigInterface::configurationRetrieved | ( |  | ) | const

## § setConfigurationRetrieved()

void Tp::BaseChannelRoomConfigInterface::setConfigurationRetrieved | ( | bool | configurationRetrieved | ) |

## § setUpdateConfigurationCallback()

void Tp::BaseChannelRoomConfigInterface::setUpdateConfigurationCallback | ( | const UpdateConfigurationCallback & | cb | ) |

## § updateConfiguration()

void Tp::BaseChannelRoomConfigInterface::updateConfiguration | ( | const QVariantMap & | properties,
|  | DBusError * | error
| ) |  |